org.jCharts.encoders

## Class SVGEncoder

- java.lang.Object
- - org.jCharts.encoders.SVGEncoder

    public final class SVGEncoder
    extends Object

This class REQUIRES the Apache XML Batik libraries to run.

### Constructor Summary

Constructors
`private` `SVGEncoder()`

### Method Summary

Methods
`static void` `encode(Chart chart, OutputStream outputStream)` Encodes the Chart to an OutputStream which can be a file or any other OutputStream implementation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SVGEncoder

    private SVGEncoder()
                throws Exception

Throws:
  `Exception`

### Method Detail

#### encode

    public static final void encode(Chart chart,
              OutputStream outputStream)
                             throws ChartDataException,
                                    PropertyException,
                                    IOException

Encodes the Chart to an OutputStream which can be a file or any other OutputStream implementation.

Parameters:
  `chart` -
  `outputStream` -
Throws:
  `ChartDataException`
  `PropertyException`
  `IOException`